﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    
}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using CMS.Core.Domain.Employee 
@using CMS.Core.Domain.Component
@model EmpViewModel
 

<div class="row clearfix">
    <div class="col-md-12">
        <div class="scrolltab">
            <div class="card">
                <div class="body">
                    <form asp-action="Create" method="post" id="EmployeeForm" enctype="multipart/form-data">
                        <div asp-validation-summary="All"></div>

                        <div class="row">

                            <div class="col-lg-5 col-md-12">
                                <label asp-for="Avartar"></label>
                                <hr />
                                <div class="media">
                                    <div class="media-left m-r-15">
                                        <input type="file" id="FormFile" class="dropify">
                                    </div>
                                    <div class="media-body">
                                        <p>Upload your photo.  <br><small><em>Hình đại diện nên có kích thước 140px x 140px</em> </small></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-7 col-sm-12">
                                <label asp-for="Contract_Intro"></label>
                                <hr />
                                <textarea asp-for="Contract_Intro" class="form-control" rows="9"></textarea>
                                <br />
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 col-sm-12">
                                <h6> <strong>Thông tin cơ bản</strong> </h6>
                                <hr />
                                <div class="row clearfix">
                                    <div class="col-md-4 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="Name"></label>
                                            <input class="form-control" type="text" asp-for="Name">
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="DepartID"></label>
                                            <input type="text" asp-for="DepartID" style="width:100%;">
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="BirthDate"></label>
                                            <input type="text" asp-for="BirthDate" style="width:100%;">
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="Rank"></label>
                                            <input type="text" asp-for="Rank" style="width:100%;">
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="Experience"></label>
                                            <input type="text" asp-for="Experience" style="width:100%;">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12 col-sm-12">
                                <div class="form-group">
                                    <label asp-for="Address"></label>
                                    <input class="form-control" asp-for="Address">
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <div class="form-group">
                                    <div class="form-group">
                                        <label asp-for="Gender"></label>
                                        <input type="text" asp-for="Gender">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 col-sm-12">
                                <h6> <strong>Thông tin tài khoản</strong> </h6>
                                <hr />
                                <div class="row clearfix">
                                    <div class="col-md-6 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="RegisterView.Email"></label>
                                            <input class="form-control" type="text" asp-for="RegisterView.Email">
                                        </div>
                                        <div class="form-group">
                                            <label asp-for="Phone"></label>
                                            <input class="form-control" type="text" asp-for="Phone">
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-12">
                                        <div class="form-group">
                                            <label asp-for="RegisterView.Password"></label>
                                            <input class="form-control" asp-for="RegisterView.Password">
                                        </div>
                                        <div class="form-group">
                                            <label asp-for="RegisterView.ConfirmPassword"></label>
                                            <input class="form-control" asp-for="RegisterView.ConfirmPassword">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 col-sm-12">
                                <button class="ladda-button btn btn-primary" data-style="expand-right" id="btn-add" onclick="AddEmp()" type="button"> Thêm mới </button>
                            </div>
                        </div>
                    </form>

                    <div id="root"></div>
                </div>
            </div>
        </div>
    </div>
</div>
@section css{
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <link rel="stylesheet" href="~/lib/vendor/dropify/css/dropify.min.css">

    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />
    <!-- custom css -->
    <link href="~/css/manager/emp/empmanager.css" rel="stylesheet" />
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />

}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/lib/vendor/dropify/js/dropify.min.js"></script>
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/Employee/EmpCreate.js"></script>

    <!-- Assets js -->
    <script src="~/lib/assets/js/widgets/bootstrapnotify/bootstrap-notify.js"></script>
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/assets/js/pages/forms/dropify.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>
    <script src="~/lib/kendo/library/kendo.all.min.js"></script>
}

